<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

// Langue de l'application pour les jours de semaine et les mois MySQL
define("LANG", "fr_FR.utf8");
setlocale(LC_ALL, LANG);

define("APPLICATION","Zzzt!");
define("NEEDJS","Les graphiques des statistiques exigent un navigateur avec Javascript activé.");
define("ABOUT","À propos de Zzzt!");
define("DESCRIPTION","<p>Ceci est un moniteur pour les onduleurs Solarmax.
<p>Nous avons essayé de le rendre aussi simple que possible, mais complet.
<p><a href='https://zzzt.tuxfamily.org'>En savoir plus sur Zzzt!</a>.
");
define("SEL_INVERTER","Indiquez votre modèle d'onduleur");
define("NEXT","Continuer");
define("PARAMETERS","Table 2");
define("FREQUENT_UPDATES","Table 1");
define("LAST_EVENTS","Derniers évènements");
define("CONFIG_SAVED","La configuration a été appliquée.");
define("LIVE_UPDATE","<p>Nous allons maintenant demander toutes les données à l'onduleur.
<p>Cela peut prendre jusqu'à 30 secondes&nbsp;!");
define("LOADING","Chargement...");
define("EFFICIENCY","Rendement");
define("INVERTER","Onduleur");
define("MONITOR","Moniteur");
define("ONLINE","Connecté");
define("OFFLINE","Inaccessible");

define("STATS","Statistiques");
define("MOBILE","Mobile");
define("STATS_NEED_DB","Les Statistiques exigent une base de données&nbsp;!");
define("GRAPH_WIDTH","Largeur du graphique");
define("DAY_PROD","Production Instantanée d'un Jour");
define("BY_DAY","Production par Jour");
define("FW_ERROR","Erreur possible du micrologiciel");
define("BY_MONTH","Production par Mois");
define("LAST_MEASURES","Dernières mesures");
define("AVG","Moyenne");
define("D20_MN"," des 20 dernières minutes : ");

define("CONFIGURE","Configurer");
define("PASSWORD","Mot de Passe de Configuration");
define("REPEAT","Répétez le ");
define("HELPCONFIG","Vous pouvez ici changer la configuration");
define("DB_CREATED","La BDD a été créée.");
define("DB_OK","La BDD est accessible.");
define("DB_KO","La BDD n'est pas accessible.");
define("model","Modèle");
define("db_use","Utiliser une base de données MySQL");
define("db_database","Nom de la Base de Données");
define("db_host","Nom du serveur de BDD");
define("db_user","Utilisateur BDD");
define("db_user_password","Mot de passe");
define("db_url","URL d'écriture en BDD");
define("refresh","Actualiser les valeurs (en secondes)");
define("ipaddress","Adresse IP");
define("serviceport","Port Réseau");
define("inverternumber","Numéro d'onduleur");
define("sendnumber","Numéro de Envoi");
define("destnumber","Numéro de Destinataire");
define("timeout","Temps maximal de connexion (en secondes)");

define("BDN","Version du microcode");
define("CAC","Compteur d'activations");
define("PAC","Puissance AC");
define("PIN","Puissance DC installée");
define("UDC","Tension DC en entrée");
define("IDC","Courant DC en entrée");
define("DIN","Numéro de série");
define("DYR","Année");
define("DMT","Mois");
define("DDY","Jour");
define("THR","Heure");
define("TMI","Minute");
define("KHR","Temps de production");
define("KHS","Temps de fonctionnement ?");
define("KLY","Production de l'année précédente");
define("KLM","Production du mois précédent");
define("KLD","Production d'hier");
define("KYR","Production annuelle");
define("KMT","Production mensuelle");
define("KDY","Production du jour");
define("PAM","Puissance AC max");
define("PDC","Puissance DC");
define("PWB","PWB");
define("PWM","PWM");
define("PWT","PWT");
define("SYS","État du système");
define("TKK","Température interne");
define("TL1","Température");
define("UGD","Tension terre");
define("UZK","Tension booster DC");

define('ERROR_PASSWORD','ERREUR : les deux mots de passe saisis sont différents !');
define('ERROR_MBSTRING',"ERREUR : l'extension php-mbstring est nécessaire !");
define('ERROR_GD',"ERREUR : l'extension php-gd est nécessaire !");
define('ERROR_SOCKETS',"ERREUR : l'extension php-sockets est nécessaire !");

define('0', 'Indisponible');
define('20001', 'En service');
define('20002', 'Rayonnement trop faible');
define('20003', 'Démarrer');
define('20004', 'Exploitation MPP');
define('20005', 'Ventilateur tourne');
define('20006', 'Exploitation Puissance max');
define('20007', 'Limitation température');
define('20008', 'Sur secteur');
define('20009', 'Courant DC limité');
define('20010', 'Courant AC limité');
define('20011', 'Mode test');
define('20012', 'Télécommandé');
define('20013', 'Retard au démarrage');

define('20110', 'Tension cct interm. trop élevée');
define('20111', 'Surtension');
define('20112', 'Surcharge');
define('20114', 'Courant de fuite trop élevé');
define('20115', 'Pas de secteur');
define('20116', 'Fréq. secteur trop élevée');
define('20117', 'Fréq. secteur trop basse');
define('20118', 'Fonctionnement en îlot');
define('20119', 'Mauvaise qualité du secteur');
define('20122', 'Tension secteur trop élevée');
define('20123', 'Tension secteur trop basse');
define('20124', 'Température trop élevée');
define('20125', 'Courant secteur dissym.');
define('20126', 'Erreur entrée ext. 1');
define('20127', 'Erreur entrée ext. 2');
define('20129', 'Sens de rotation incorrect');
define('20130', 'Faux type d\'appareil');
define('20131', 'Commut. général hors');
define('20132', 'Diode de surtempérature');
define('20134', 'Ventilateur défectueux');

define('20173', 'Coupure secteur');
?>
