<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

define("VERSION","3.2");

//switch language
if(isset($_SERVER['HTTP_ACCEPT_LANGUAGE']))
  $i18nFile = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2).'.php';
// default if command line php or locale still not done
if(!isset($i18nFile) || !(include $i18nFile)) require 'en.php';

//Il faut définir la zone à partir de PHP 5.1.0
if (version_compare(PHP_VERSION, "5.1.0") >= 0)
	date_default_timezone_set("Europe/Paris");

//probe extensions needed
if(!function_exists('mb_convert_encoding'))
	$error=(ERROR_MBSTRING);
if(!function_exists('gd_info'))
	$error=(ERROR_GD);
if(!function_exists('socket_create'))
	$error=(ERROR_SOCKETS);

function htmlCommun( $titre ) { ?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1" /> 
  <link rel="shortcut icon" href="../images/inverter.png" type="image/x-png"/>
  <link rel="icon" href="../images/inverter.png" type="image/x-png"/>
  <title><?php echo APPLICATION.' '.VERSION.' - '.$titre;?></title>
  <link rel="stylesheet" href="../morris/morris.css">
  <link rel="stylesheet" href="../morris/zzzt.css">
  <script src="../morris/jquery.min.js"></script>
  <script src="../morris/raphael-min.js"></script>
  <script src="../morris/morris.min.js"></script>

  <style>
    html, body { height: 95%; }
    #holder { width: 98%; height: 100%; }
    #moyenne { position: absolute; right: 50px; top: 25px;}
    
    
    div.pag a {
      float: left;
      padding: 1em;
      border: 1px solid black;
      margin: 0.5em;
      background: #ffffc3;
      color: black;
      text-decoration: none;
    } 
    
  </style>
</head>

<?php }	
?>
