<?php

/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

class db
{
  private $server_link;
  public $db_attempt;
  private $result;
  public $error;

  function __construct($inverter){
    try
    {
	$this->server_link = @($GLOBALS["___mysqli_ston"] = mysqli_connect($inverter->config['db_host'], 
                                $inverter->config['db_user'], 
                                $inverter->config['db_user_password']));
	if (!$this->server_link)
	{
	    throw new Exception(DB_KO);
	}
	else
	{
	  $this->db_attempt = mysqli_select_db(
				      $this->server_link, $inverter->config['db_database']);
	  if(!$this->db_attempt) {
	    if(!$this->query(' CREATE DATABASE '.$inverter->config['db_database']))
	      die (mysqli_error($GLOBALS["___mysqli_ston"]));
	    $this->db_attempt = mysqli_select_db(
				      $this->server_link, $inverter->config['db_database']);
	    $this->query(' CREATE TABLE zzzt (
		`monitor_date` TIMESTAMP NOT NULL,
		`pac` SMALLINT NOT NULL ,
		`pdc` SMALLINT NOT NULL ,
		`kdy` DECIMAL(4,1) NOT NULL ,
		`tkk` TINYINT NOT NULL ,
		`monitor_ip` VARCHAR( 16 ) NOT NULL )');
	    $this->query('CREATE TABLE zzzt_daily (
		      date DATE PRIMARY KEY,
		      production DECIMAL(3,1))');
	    $this->query('CREATE TABLE zzzt_monthly (
		      date DATE PRIMARY KEY,
		      production DECIMAL(4,1))');
	    $this->query('CREATE TABLE zzzt_yearly (
		      date DATE PRIMARY KEY,
		      production DECIMAL(6,1))');
	  //create some usefull views
	    $this->query("CREATE VIEW zzzt_yearcurrent AS
              SELECT date_format(`zzzt_daily`.`date`,_utf8'%Y-%m-01') AS `date`,
                sum(`zzzt_daily`.`production`) AS `production`
              FROM `zzzt_daily` 
              WHERE date_format(`zzzt_daily`.`date`,_utf8'%Y')=YEAR(UTC_DATE())
              GROUP BY date_format(`zzzt_daily`.`date`,_utf8'%Y')
              ");
	    $this->query("CREATE VIEW zzzt_monthcurrent AS
              SELECT date_format(`zzzt_daily`.`date`,_utf8'%Y-%m-01') AS `date`,
                sum(`zzzt_daily`.`production`) AS `production`
              FROM `zzzt_daily`
              WHERE DATE_FORMAT(`zzzt_daily`.`date`,'%Y%m') = DATE_FORMAT(UTC_DATE(),'%Y%m') 
              GROUP BY date_format(`zzzt_daily`.`date`,_utf8'%Y%m')");
	    $this->query("CREATE VIEW `zzzt_hourly_median` AS 
	      SELECT date_format(`zzzt`.`monitor_date`,_utf8'%H') AS `hour`,
		avg(`zzzt`.`pac`) AS `pac`
	      FROM `zzzt` GROUP BY date_format(`zzzt`.`monitor_date`,_utf8'%H')");
	    $this->query("CREATE VIEW zzzt_wake_temp_min_max AS
	      SELECT min(`zzzt`.`monitor_date`) AS `wakeup_time`,
		min(`zzzt`.`tkk`) AS `tkk_min`,
		max(`zzzt`.`tkk`) AS `tkk_max`
	      FROM `zzzt` group by date_format(`zzzt`.`monitor_date`,_utf8'%Y%m%d')
		ORDER BY `zzzt`.`monitor_date` desc;");
	    $this->query("CREATE VIEW `zzzt_kld_errors` AS 
              SELECT date_format(`zzzt`.`monitor_date`,_utf8'%Y-%m-%d') AS `last`,
                date_format(`zzzt`.`monitor_date`,_utf8'%H:%i') AS `time`,
                `zzzt`.`kdy` AS `kdy`,`zzzt_daily`.`production` AS `kld`
              FROM (`zzzt` join `zzzt_daily`)
              WHERE ((`zzzt_daily`.`date` = date_format(`zzzt`.`monitor_date`,_utf8'%Y-%m-%d'))
                AND (`zzzt`.`kdy` > 0.1)
                AND (`zzzt`.`pdc` = 0)
		AND ( (`kdy` > `zzzt_daily`.`production`) OR ( (`kdy`+ 0.1) < `zzzt_daily`.`production`) )
		AND (date_format(`zzzt`.`monitor_date`,_utf8'%H') > 15))
              GROUP BY date_format(`zzzt`.`monitor_date`,_utf8'%Y-%m-%d')
              ORDER BY `zzzt`.`monitor_date` DESC;");

	    echo DB_CREATED.'<br>';
	  }
	  // sets the locale for the MySQL names (months, days)
	  $this->query("SET lc_time_names = '".LANG."';");
	}
    }
    catch (Exception $e)
    {
	echo $e->getMessage();
    }

  }

  function query($sql){
    $this->result=@mysqli_query($this->server_link, $sql);
    $this->error=@mysqli_error($this->server_link);
    return $this->result;
  }

  function fetch(){
    return  $this->result->fetch_array(MYSQLI_BOTH);
  }

  function num_rows(){
    return mysqli_num_rows($this->result);
  }

  public function rnd_color(){
      mt_srand((double)microtime()*1000000);
      $c = '';
      while(strlen($c)<6){
          $c .= sprintf("%02X", mt_rand(0, 128));
      }
      return $c;
  }



}
?>
