<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

require 'class_inverter.php';
session_start();// after the required classes

foreach( $_SESSION['inverter']->history as $etape ) {
	foreach( $_GET as $key => $coef)
		$values[$key][]=$etape[$key]*$coef;
	$heure[]=date('H:i:s',$etape['timestamp']);
}

require_once "../artichow/LinePlot.class.php";


$graph = new Graph(900, 270);
// $graph->setAntiAliasing(TRUE);
$group = new PlotGroup;
$group->grid->setType(Line::DASHED);

$group->setPadding(0, 0, 5, 15);

$group->axis->left->setLabelNumber(8);
$group->axis->left->setLabelPrecision(1);
$group->axis->left->setTickStyle(Tick::OUT);

function format($value) {
     	return $value;
}

function plot_model($value,$r,$v,$b,$label) {
	global $group;
	$plot = new LinePlot($value);
	$plot->setColor(new Color($r, $v, $b, 10));
	$plot->setFillColor(new Color($r, $v, $b, 90));
	$group->legend->add($plot, mb_convert_encoding(constant($label),'ISO-8859-1','UTF-8'), Legend::MARK);

	//valeurs sur les lignes
	$plot->label->set($value);
	$plot->label->setInterval(3);//toutes les 3 valeurs
	$plot->label->hideFirst(TRUE);
	$plot->label->setPadding(1, 1, 1, 1);
	$plot->label->setCallbackFunction('format');
	$plot->label->setBackgroundColor(new Color(227, 223, 241, 15));
	$plot->label->setFont(new Tuffy(7));


	$group->add($plot);
}

function rd() {return rand(30,200);}

foreach( $_GET as $key => $coef)
	plot_model($values[$key],rd(),rd(),rd(),$key);

// barre des KWh
function setK($value) {
    return round($value).'KWh';
}
$group->axis->left->label->setCallbackFunction('setK');

// heures en bas
function setTime($value) {
	global $heure;
	if($value % 3 == 1) $return=$heure[$value];
	else $return='';
	return $return;
}
$group->axis->bottom->label->setCallbackFunction('setTime');

//l�gende
$group->legend->setPosition(0.7, rand(1,5)/10);
$group->legend->setBackgroundColor(new Color(255, 255, 255, 255));
$group->legend->shadow->smooth(TRUE);

$graph->add($group);

$graph->draw();
?>
