<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require 'class_inverter.php';
  if(isset($error)) exit($error);
  session_start();// after the needed classes
  if(!isset($_SESSION['inverter'])) {$_SESSION['inverter']=new inverter();}
  $inverter=$_SESSION['inverter'];
  $inverter->refresh();
  $_SESSION['inverter']=$inverter;
?>
<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8" >
<meta http-equiv="refresh" content="<?php echo $inverter->config['refresh'];?>" > 
  <link rel="shortcut icon" href="../images/inverter.png" type="image/x-png"/>
  <link rel="icon" href="../images/inverter.png" type="image/x-png"/>
  <title><?php echo APPLICATION.' '.VERSION;?></title>
  <style type="text/css">
  body {position: relative; margin: 0; padding: 0;}

  div#links {position: absolute; top: 20px; left: 0;width:90px;  z-index: 100;background:white;opacity:1;
    font-size:80%; }
  div#links a {display: block; text-align: center; 
  padding: 5px 10px; margin: 0 0 1px; border-width: 0; 
  text-decoration: none;}
  div#links a:hover {border: 1px double black;}
  
  div#links a span {display: none;}
  div#links a:hover span {display: block;
  position: absolute; top: 0px; left: 90px; width: 450px;
  padding: 0px; margin: 0px; z-index: 100;}
  div#links a:hover span table {background:white;opacity:0.8;}
  
  div#content {position: absolute; top: 10px; left: 80px;padding: 10px; }
  div#content p {margin: 0 1em 1em;}
  div#content h3 {margin-bottom: 0.25em;}
  
  h1 {margin: -9px -9px 0.5em; padding: 15px 0 5px;height: 28px; vertical-align: middle; white-space: nowrap;}
  dt {font-weight: bold;}
  dd {margin-bottom: 0.66em;}
  </style>
</head>

<body>
  <b><a href=index.php><?php echo APPLICATION;?></a></b>

  <?php echo INVERTER.' : '.$inverter->connected().' - '.
	constant('EFFICIENCY').' : '.$inverter->status['EFFICIENCY'].'% - '.
        constant('KLD').' : '.$inverter->status['KLD'];?>
    <div id='content'>
      <?php if(sizeof($inverter->history)>0)
        echo "<img src='instant_plot.php?PAC=1&amp;PDC=1'>
            <img src='instant_plot.php?TKK=1&amp;EFFICIENCY=1'>";?>
    </div>
  <div id="links">
    <a href="#"><?php echo FREQUENT_UPDATES;?>
      <span><?php echo $inverter->table_status($inverter->frequent_updates);?></span></a>
    <a href="#"><?php echo PARAMETERS;?>
      <span><?php echo $inverter->table_status($inverter->parameters);?></span></a>
    <a href="#"><?php echo LAST_EVENTS;?>
      <span><?php echo $inverter->table_events(2);?></span>
    <a href="#"><?php echo ABOUT;?>
      <span><img src=../images/inverter_big.png border=0 alt='Zzzt!'></span>
    </a>
  </div>
</body>
</html>
