<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

//the 20 last events are stored by the inverter
$events=array();
for($i=0;$i<=19;$i++)
  $events['EC'.sprintf('%02s',$i)]=array('event'=>'0','timestamp'=>0);

/* possible queries for SM3000S
each line is a "COMMAND", the answer's multiplier and the shown Unit
*/

// Here are the values asked by crontab_monitor
$crontab_monitor = array(
    "PAC" => array("coef"=>.5, "unit"=>"W"),
    "TKK" => array("coef"=>1, "unit"=>"°C"),
    "PDC" => array("coef"=>.5, "unit"=>"W"),
    // Get DD01 data instead of sometimes buggy KLD
    "DD01" => array("coef"=>.1, "unit"=>"kWh"),
    "KDY" => array("coef"=>.1, "unit"=>"kWh"),
    "KLM" => array("coef"=>1, "unit"=>"kWh"),
    "KLY" => array("coef"=>1, "unit"=>"kWh")
);
$last_day="DD01";

// Here are the values frequently updated
$frequent_updates = array(
    "CAC" => array("coef"=>1, "unit"=>""),
    "PAC" => array("coef"=>.5, "unit"=>"W"),
    "UDC" => array("coef"=>.1, "unit"=>"V"),
    "IDC" => array("coef"=>.01, "unit"=>"A"),
    "KDY" => array("coef"=>.1, "unit"=>"kWh"),
    "TKK" => array("coef"=>1, "unit"=>"°C"),
    "TL1" => array("coef"=>1, "unit"=>"°C"),
    "PDC" => array("coef"=>.5, "unit"=>"W"),
    "PWB" => array("coef"=>1, "unit"=>""),
    "PWM" => array("coef"=>1, "unit"=>""),
    "PWT" => array("coef"=>1, "unit"=>""),
    "SYS" => array("coef"=>1, "unit"=>""),
    "UGD" => array("coef"=>.1, "unit"=>"V"),
    "UZK" => array("coef"=>.1, "unit"=>"V")
);

// here are the values the don't change often, we only query them once at start
$parameters = array(
    "KHR" => array("coef"=>1, "unit"=>"h"),
    "KHS" => array("coef"=>.1, "unit"=>"h"),
    "KLD" => array("coef"=>.1, "unit"=>"kWh"),
    "KLM" => array("coef"=>1, "unit"=>"kWh"),
    "KLY" => array("coef"=>1, "unit"=>"kWh"),
    "KYR" => array("coef"=>1, "unit"=>"kWh"),
    "KMT" => array("coef"=>1, "unit"=>"kWh"), 
    "BDN" => array("coef"=>.001, "unit"=>""),
    "DIN" => array("coef"=>1, "unit"=>""),
    "DYR" => array("coef"=>1,"unit"=>""),
    "DMT" => array("coef"=>1, "unit"=>""),
    "DDY" => array("coef"=>1, "unit"=>""),
    "THR" => array("coef"=>1, "unit"=>"h"),
    "TMI" => array("coef"=>1, "unit"=>"m"),
    "PAM" => array("coef"=>.5, "unit"=>"W"),
    "PIN" => array("coef"=>.5, "unit"=>"W")
  );
