<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
  $db=new db($inverter);
  $jour=$values=$record=array();
  htmlCommun(BY_DAY);
?>

<body>
  <b><a href=../inverter/index.php><?php echo APPLICATION;?></a></b>
  <?php
	echo BY_DAY;
	if( isset($_GET['year'],$_GET['month']) )
		 echo " (".strftime( '%B', mktime(0,0,0,$_GET['month'],1) ).' '.$_GET['year'].")";
  ?>
  <a href=monthly.php><?php echo BY_MONTH;?></a>
  <a href=yearly.php><?php echo KYR;?></a>
  <a href=index.php><?php echo DAY_PROD;?></a>
<?php
  if( isset($_GET['year'],$_GET['month']) ) {
    $where="WHERE YEAR(date)=".substr($_GET['year'],0,4)." 
		AND MONTH(date)=".substr($_GET['month'],0,1);
    } else {
      $where="WHERE TO_DAYS( NOW( ) ) - TO_DAYS( date ) < 60";

      // print firmware errors with some false positives
      $ret=$db->query('SELECT last, time, kld, kdy FROM `zzzt_kld_errors` LIMIT 0 , 30');
      if ($ret!=false && $db->num_rows() > 0) {
        echo "<table bgcolor='red' border=1>
          <tr><th colspan=4>".FW_ERROR."</th></tr>
          <tr><th>".DDY."</th><th>".THR."</th><th>".KDY."</th><th>KLD</th></tr>";
        while ($row = $db->fetch()) {
          echo "<tr><td>{$row['last']}</td><td>{$row['time']}</td><td>{$row['kdy']}</td><td>{$row['kld']}</td></tr>";
        }
        echo '</table>';
      }
    }
?>
  
  <script type="text/javascript">
    document.write("<div id=\"holder\"></div>");
     
    <?php
      $select="SELECT date,production FROM zzzt_daily ";
      $order=" ORDER BY date ASC";
      
      
      $sql=$select.$where.$order;
      
      $db->query($sql);
      while ($row = $db->fetch()) {
	$jour[]=$row['date'];
	$values[]=$row['production'];
      }

      foreach ($jour as $j ) {
	  $sql="SELECT
                MAX(production) AS max,
                MIN(production) AS min,
                ROUND( AVG(production), 1) AS moy
		      FROM zzzt_daily
		WHERE DAY(date) = DAY('$j')
		AND MONTH(date) = MONTH('$j')";
	  $db->query($sql);
	  $row=$db->fetch();
	  $max[]=$row['max'];
	  $min[]=$row['min'];
	  $moyenne[]=$row['moy'];
      }
    ?>

    new Morris.Area({element: 'holder',
		     lineColors: ['#409F40',
				  '#7070FF',
				  '#FF7070',
				  '#000000'], 
		      hoverCallback: function (index, options, content) {
					  var row = options.data[index];
					  return '<a href=index.php?day=' + row.j + "><?php echo DAY_PROD;?></a>" + content ;
					},
		      fillOpacity: 0.5,
		      postUnits: 'kWh',
		      behaveLikeLine: true,
		      smooth: false,
		      hideHover: 'auto',
                      resize: true,
                      redraw: true,
                      data: [
			<?php
			  for($i=0;$i<sizeof($values);$i++) {
			    echo "{ j: '".$jour[$i]."'";
			    echo ", 't': ".$max[$i];
			    echo ", 'a': ".$moyenne[$i];
			    echo ", 'm': ".$min[$i];
			    echo ", 'r': ".$values[$i];
			    if($i<sizeof($values)-1) echo " },\n"; else echo " }\n";
			  }
			?>
			], xkey: 'j', ykeys: ['t', 'a', 'm', 'r'], labels: ['Max', '<?php echo AVG;?>', 'Min', '<?php echo PAC;?>'] });
  
  </script>
	  <noscript><?php echo NEEDJS;?></noscript>

</body>
</html>
